package com.sa.ibiz.demo.demo.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.sa.ibiz.demo.demo.domain.OrgSector;
import com.sa.ibiz.demo.demo.service.dto.OrgSectorSearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;
public interface OrgSectorMapper extends BaseMapper<OrgSector>{
    @CacheEvict( value="entity",key = "'OrgSector:'+#p0.orgsectorid")
    void updateOne(@Param("orgsector") OrgSector orgsector);
    List<OrgSector> searchUserOrg(@Param("srf") OrgSectorSearchFilter searchfilter,@Param("ew") Wrapper<OrgSector> wrapper) ;
    Page<OrgSector> searchUserOrg(IPage page, @Param("srf") OrgSectorSearchFilter searchfilter, @Param("ew") Wrapper<OrgSector> wrapper) ;
    List<OrgSector> searchDefault(@Param("srf") OrgSectorSearchFilter searchfilter,@Param("ew") Wrapper<OrgSector> wrapper) ;
    Page<OrgSector> searchDefault(IPage page, @Param("srf") OrgSectorSearchFilter searchfilter, @Param("ew") Wrapper<OrgSector> wrapper) ;
    List<OrgSector> searchCurChild(@Param("srf") OrgSectorSearchFilter searchfilter,@Param("ew") Wrapper<OrgSector> wrapper) ;
    Page<OrgSector> searchCurChild(IPage page, @Param("srf") OrgSectorSearchFilter searchfilter, @Param("ew") Wrapper<OrgSector> wrapper) ;
    List<OrgSector> searchUserOrgSector(@Param("srf") OrgSectorSearchFilter searchfilter,@Param("ew") Wrapper<OrgSector> wrapper) ;
    Page<OrgSector> searchUserOrgSector(IPage page, @Param("srf") OrgSectorSearchFilter searchfilter, @Param("ew") Wrapper<OrgSector> wrapper) ;
    List<OrgSector> searchOrgRoot(@Param("srf") OrgSectorSearchFilter searchfilter,@Param("ew") Wrapper<OrgSector> wrapper) ;
    Page<OrgSector> searchOrgRoot(IPage page, @Param("srf") OrgSectorSearchFilter searchfilter, @Param("ew") Wrapper<OrgSector> wrapper) ;
    List<OrgSector> searchCurOrg(@Param("srf") OrgSectorSearchFilter searchfilter,@Param("ew") Wrapper<OrgSector> wrapper) ;
    Page<OrgSector> searchCurOrg(IPage page, @Param("srf") OrgSectorSearchFilter searchfilter, @Param("ew") Wrapper<OrgSector> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'OrgSector:'+#p0")
    OrgSector selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'OrgSector:'+#p0.orgsectorid")
    int updateById(@Param(Constants.ENTITY) OrgSector entity);
    @Override
    @CacheEvict( value="entity",key = "'OrgSector:'+#p0.orgsectorid")
    int insert(OrgSector entity);
    @Override
    @CacheEvict( value="entity",key = "'OrgSector:'+#p0")
    int deleteById(Serializable id);
}